<?php

// TODO: use iterator interface

namespace Modules\Admin\ImportEntities\Model;

abstract class FileParserAbstract
{

	protected $fileContent;

	protected $fileHeader;

	protected $columnsFormat = [];


	protected $filePath;


	public function __construct($filePath)
	{
		$this->filePath = $filePath;
	}


	public function setColumns($columns)
	{
		$this->columnsFormat = $columns;
	}

	abstract protected function getParsedContent();

}